summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-text')
-rw-r--r--app-text/getRandomName/Manifest1
-rw-r--r--app-text/getRandomName/getRandomName-0.9.0.ebuild48
-rw-r--r--app-text/getRandomName/metadata.xml11
3 files changed, 60 insertions, 0 deletions
diff --git a/app-text/getRandomName/Manifest b/app-text/getRandomName/Manifest
new file mode 100644
index 0000000..59c17bd
--- /dev/null
+++ b/app-text/getRandomName/Manifest
@@ -0,0 +1 @@
+DIST getRandomName-0.9.0.tar.gz 9557 SHA256 7525961c20215fda6e8c11a90d8353d96d01e0488214ee12dbb84ec03bd2b3ea SHA512 9ddae233fc076baa1a5fa19be4009f54adf8500b5bf232bba5b1470ebcb3defc6a7356ce5aa8525fb814dae44ed6b26302d01ab299ed7ec1b839410eebf3e15c WHIRLPOOL 1bfdf35f344ee9d9de64bd265156234b2b3fdd3ad495548d1856edb5e122ca3a6cb87154e2853b1520dd8113b5fa846ca9f0288fe0efbf413a5d2e0bf9d80e65
diff --git a/app-text/getRandomName/getRandomName-0.9.0.ebuild b/app-text/getRandomName/getRandomName-0.9.0.ebuild
new file mode 100644
index 0000000..5728b52
--- /dev/null
+++ b/app-text/getRandomName/getRandomName-0.9.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Create random names using linguistic rules"
+HOMEPAGE="https://prydeworx.com/getRandomNames"
+SRC_URI="https://github.com/Yamakuzure/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ dev-cpp/pwxlib
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+DOCS=()
+
+src_prepare() {
+ # Makefile is a symlink to Makefile.Linux, avoid that we patch it by
+ # accident using patch <2.7, see bug #435492
+ rm Makefile || die
+
+ EPATCH_SUFFIX="patch" epatch "${WORKDIR}/${PN}-gentoo-patches-${PATCHVER}"
+
+ # Re-add convenience symlink, see above
+ ln -s Makefile.Linux Makefile
+
+ epatch "${FILESDIR}"/${P}-CVE-2014-8123.patch
+}
+
+src_configure() { :; }
+
+src_compile() {
+ emake PREFIX="${EPREFIX}/usr" CPPFLAGS="${CPPFLAGS}" CXXFLAGS="${CXXFLAGS}" \
+ CXX="$(tc-getCXX)" LD="$(tc-getCC)" LDFLAGS="${LDFLAGS}" \
+ || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX="${EPREFIX}" DESTDIR="${D}" \
+ DOCDIR="${EPREFIX}"/usr/share/doc/${PF} install \
+ || die "install failed"
+}
diff --git a/app-text/getRandomName/metadata.xml b/app-text/getRandomName/metadata.xml
new file mode 100644
index 0000000..58c7603
--- /dev/null
+++ b/app-text/getRandomName/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>yamakuzure@gmx.net</email>
+ <name>Sven Eden</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">Yamakuzure/getRandomName</remote-id>
+ </upstream>
+</pkgmetadata>